'use strict';

class EventBus {
    constructor() {
        this.subscribers = {};
    }
    // Rest of the implementation remains the same
    subscribe(event, callback) {
        if (!this.subscribers[event]) {
            this.subscribers[event] = [];
        }
        this.subscribers[event].push(callback);
    }
    publish(event, data) {
        if (!this.subscribers[event]) {
            return;
        }
        this.subscribers[event].forEach(callback => callback(data));
    }
    unsubscribe(event, callback) {
        if (!this.subscribers[event]) {
            return;
        }
        this.subscribers[event] = this.subscribers[event].filter(cb => cb !== callback);
    }
}

exports.EventBus = EventBus;
//# sourceMappingURL=EventBus-Dq4GLNJp.js.map

//# sourceMappingURL=EventBus-Dq4GLNJp.js.map