'use strict';

var index = require('./index-4qAdwwwT.js');
var index$1 = require('./index-CVw4GUo6.js');
var provider_types = require('./provider.types-CdcQKmZA.js');
var EventBus = require('./EventBus-Dq4GLNJp.js');
var processImgSrc = require('./processImgSrc-CTLTL8gJ.js');
var getIsMetaMaskAvailable = require('./getIsMetaMaskAvailable-BqCE2tAJ.js');
require('./_commonjsHelpers-CFO10eej.js');

var UnlockPanelEventsEnum;
(function (UnlockPanelEventsEnum) {
    UnlockPanelEventsEnum["OPEN"] = "OPEN";
    UnlockPanelEventsEnum["CLOSE"] = "CLOSE";
    UnlockPanelEventsEnum["LOGIN"] = "LOGIN";
    UnlockPanelEventsEnum["CANCEL_LOGIN"] = "CANCEL_LOGIN";
    UnlockPanelEventsEnum["CANCEL_IN_PROVIDER"] = "CANCEL_IN_PROVIDER";
})(UnlockPanelEventsEnum || (UnlockPanelEventsEnum = {}));

const unlockPanelCss = "/*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer theme{:host,:root{--mvx-font-sans:ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\";--mvx-font-mono:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace;--mvx-spacing:.25rem;--mvx-default-font-family:var(--mvx-font-sans);--mvx-default-mono-font-family:var(--mvx-font-mono)}}@layer base{*,::backdrop,:after,:before{border:0 solid;box-sizing:border-box;margin:0;padding:0}::file-selector-button{appearance:button;background-color:#0000;border:0 solid;border-radius:0;box-sizing:border-box;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;margin:0;margin-inline-end:4px;opacity:1;padding:0}:host,html{-webkit-text-size-adjust:100%;font-family:var(--mvx-default-font-family,ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\");font-feature-settings:var(--mvx-default-font-feature-settings,normal);font-variation-settings:var(--mvx-default-font-variation-settings,normal);line-height:1.5;tab-size:4;-webkit-tap-highlight-color:transparent}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;-webkit-text-decoration:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:var(--mvx-default-mono-font-family,ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace);font-feature-settings:var(--mvx-default-mono-font-feature-settings,normal);font-size:1em;font-variation-settings:var(--mvx-default-mono-font-variation-settings,normal)}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}:-moz-focusring{outline:auto}progress{vertical-align:baseline}summary{display:list-item}menu,ol,ul{list-style:none}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}button,input,optgroup,select,textarea{background-color:#0000;border-radius:0;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;opacity:1}:where(select:is([multiple],[size])) optgroup{font-weight:bolder}:where(select:is([multiple],[size])) optgroup option{padding-inline-start:20px}::placeholder{opacity:1}@supports (not ((-webkit-appearance:-apple-pay-button))) or (contain-intrinsic-size:1px){::placeholder{color:currentColor}@supports (color:color-mix(in lab,red,red)){::placeholder{color:color-mix(in oklab,currentColor 50%,transparent)}}}textarea{resize:vertical}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-date-and-time-value{min-height:1lh;text-align:inherit}::-webkit-datetime-edit{display:inline-flex;padding-block:0}::-webkit-datetime-edit-fields-wrapper{padding:0}::-webkit-datetime-edit-month-field,::-webkit-datetime-edit-year-field{padding-block:0}::-webkit-datetime-edit-day-field,::-webkit-datetime-edit-hour-field{padding-block:0}::-webkit-datetime-edit-minute-field,::-webkit-datetime-edit-second-field{padding-block:0}::-webkit-datetime-edit-meridiem-field,::-webkit-datetime-edit-millisecond-field{padding-block:0}:-moz-ui-invalid{box-shadow:none}button,input:where([type=button],[type=reset],[type=submit]){appearance:button}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[hidden]:where(:not([hidden=until-found])){display:none!important}}@layer components;@layer utilities{.mvx\\:h-auto\\!{height:auto!important}.mvx\\:w-4\\!{width:calc(var(--mvx-spacing)*4)!important}} /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components;.unlock-panel,.unlock-panel-anchor{display:flex;flex:1;flex-direction:column;font-family:Satoshi,sans-serif}.unlock-panel .unlock-panel-groups{display:flex;flex-direction:column;gap:16px;margin-bottom:24px}.unlock-panel .unlock-panel-groups .unlock-panel-group{display:flex;flex-direction:column;gap:12px}.unlock-panel .unlock-panel-groups .unlock-panel-group .unlock-panel-group-label{color:#a09a93;line-height:1}.unlock-panel .unlock-panel-groups .unlock-panel-group .unlock-panel-group-providers{border-radius:12px;display:flex;flex-direction:column;gap:2px;overflow:hidden}.unlock-panel .unlock-panel-footer{align-items:center;background:#0a0a0a;border:1px solid #212121;border-radius:16px;cursor:pointer;display:flex;margin-top:auto;overflow:hidden;padding:24px;position:relative}.unlock-panel .unlock-panel-footer:hover .unlock-panel-footer-wrapper{opacity:.75}.unlock-panel .unlock-panel-footer .unlock-panel-footer-image{margin:-24px 24px -24px -24px;pointer-events:none}.unlock-panel .unlock-panel-footer .unlock-panel-footer-wrapper{display:flex;flex:1;flex-direction:column;gap:16px;height:100%;transition:all .2s}.unlock-panel .unlock-panel-footer .unlock-panel-footer-wrapper .unlock-panel-footer-title{color:#f5f5f5;font-size:20px;font-weight:500;line-height:1;padding-top:16px}.unlock-panel .unlock-panel-footer .unlock-panel-footer-wrapper .unlock-panel-footer-subtitle{color:#737373;font-size:16px;line-height:1.25}.unlock-panel .unlock-panel-footer .unlock-panel-footer-wrapper .unlock-panel-footer-icon{margin-left:auto;margin-top:auto}";

const unlockPanelClasses = {
    footerIcon: 'mvx:w-4! mvx:h-auto!',
};
const UnlockPanel = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.eventBus = new EventBus.EventBus();
        this.isOpen = false;
        this.allowedProviders = [];
        this.isLoggingIn = false;
        this.isIntroScreenVisible = false;
        this.selectedMethod = null;
        this.hasSlotContent = false;
        this.panelState = {
            isOpen: false,
            allowedProviders: this.allowedProviders,
        };
        this.anchor = null;
        this.observer = null;
    }
    async getEventBus() {
        return this.eventBus;
    }
    handleIsOpenChange(newValue) {
        this.panelState = Object.assign(Object.assign({}, this.panelState), { isOpen: newValue });
    }
    handleAllowedProvidersChange(newValue) {
        this.panelState = Object.assign(Object.assign({}, this.panelState), { allowedProviders: newValue });
    }
    isExtensionInstalled(currentProvider) {
        return currentProvider === provider_types.ProviderTypeEnum.extension && getIsMetaMaskAvailable.getIsExtensionAvailable();
    }
    isMetaMaskInstalled(currentProvider) {
        return currentProvider === provider_types.ProviderTypeEnum.metamask && getIsMetaMaskAvailable.getIsMetaMaskAvailable();
    }
    async disconnectedCallback() {
        if (this.observer) {
            this.observer.disconnect();
            this.observer = null;
        }
        this.eventBus.unsubscribe(UnlockPanelEventsEnum.OPEN, this.unlockPanelUpdate.bind(this));
        this.eventBus.unsubscribe(UnlockPanelEventsEnum.CANCEL_IN_PROVIDER, this.handleResetLoginState.bind(this));
        this.isLoggingIn = false;
        this.selectedMethod = null;
        this.panelState = { isOpen: false, allowedProviders: [] };
        const delayClosingAnimation = new Promise(resolve => setTimeout(resolve, 300));
        return delayClosingAnimation;
    }
    componentDidLoad() {
        this.eventBus.subscribe(UnlockPanelEventsEnum.OPEN, this.unlockPanelUpdate.bind(this));
        this.eventBus.subscribe(UnlockPanelEventsEnum.CANCEL_IN_PROVIDER, this.handleResetLoginState.bind(this));
    }
    unlockPanelUpdate(payload) {
        this.panelState = Object.assign(Object.assign({}, payload), { allowedProviders: payload.allowedProviders });
    }
    handleLogin(provider) {
        this.selectedMethod = provider;
        switch (provider.type) {
            case provider_types.ProviderTypeEnum.ledger:
                this.isIntroScreenVisible = true;
                break;
            case provider_types.ProviderTypeEnum.crossWindow:
            case provider_types.ProviderTypeEnum.extension:
            case provider_types.ProviderTypeEnum.metamask:
            case provider_types.ProviderTypeEnum.passkey:
                this.isIntroScreenVisible = true;
                this.isLoggingIn = true;
                this.eventBus.publish(UnlockPanelEventsEnum.LOGIN, { type: provider.type, anchor: this.anchor });
                break;
            default:
                this.handleAccess();
        }
    }
    handleResetLoginState(event) {
        var _a;
        (_a = event === null || event === void 0 ? void 0 : event.preventDefault) === null || _a === void 0 ? void 0 : _a.call(event);
        this.isLoggingIn = false;
        this.isIntroScreenVisible = false;
        this.selectedMethod = null;
        if (!this.anchor) {
            return;
        }
        while (this.anchor.firstChild) {
            this.anchor.removeChild(this.anchor.firstChild);
        }
        this.eventBus.publish(UnlockPanelEventsEnum.CANCEL_LOGIN);
    }
    handleClose(event) {
        event.preventDefault();
        if (this.selectedMethod) {
            this.eventBus.publish(UnlockPanelEventsEnum.CANCEL_LOGIN);
        }
        this.eventBus.publish(UnlockPanelEventsEnum.CLOSE);
    }
    handleAccess() {
        this.isIntroScreenVisible = false;
        this.isLoggingIn = true;
        this.eventBus.publish(UnlockPanelEventsEnum.LOGIN, { type: this.selectedMethod.type, anchor: this.anchor });
    }
    render() {
        const detectedProviders = this.panelState.allowedProviders.filter(allowedProvider => this.isExtensionInstalled(allowedProvider.type) || this.isMetaMaskInstalled(allowedProvider.type));
        const otherProviders = this.panelState.allowedProviders.filter(allowedProvider => !detectedProviders.includes(allowedProvider));
        const panelTitle = this.selectedMethod ? this.selectedMethod.name : 'Connect your wallet';
        const hasDetectedProviders = detectedProviders.length > 0;
        const isProviderScreenVisible = !this.isLoggingIn && !this.isIntroScreenVisible;
        return (index.h("mvx-side-panel", { key: '1704290555049dd046e406bcea35f3722ca7bf3b', isOpen: this.panelState.isOpen, panelTitle: panelTitle, withBackButton: this.isLoggingIn, onClose: this.handleClose.bind(this), onBack: this.handleResetLoginState.bind(this) }, index.h("div", { key: '2c8abacf4c57f00cf836eb4bf1567942dd6d6991', id: "anchor", ref: el => {
                this.anchor = el;
            }, class: { 'unlock-panel-anchor': this.isLoggingIn } }, this.isIntroScreenVisible && index.h("mvx-unlock-provider-intro", { key: 'f7b4bbd421821be639656ebe4f1b11bff2bb6a65', provider: this.selectedMethod, onAccess: this.handleAccess.bind(this) })), isProviderScreenVisible && (index.h("div", { key: '97c7be035f35adeaf1c5351c9dd68ff7b9250549', class: "unlock-panel" }, index.h("div", { key: 'bef1d82cf10db58f9dcef97c183f47c9965b9d1d', class: "unlock-panel-groups" }, hasDetectedProviders && (index.h("div", { key: 'dc1179f8a63f42bea027d529994ee8bd8bf62912', class: "unlock-panel-group" }, index.h("div", { key: 'f1b912449d59e6e23b3dc8165538b90b9eb0ecc8', class: "unlock-panel-group-label" }, "Detected"), index.h("div", { key: '4e5593a10da2510e98466d1623252e77eddeb35a', class: "unlock-panel-group-providers" }, detectedProviders.map(provider => (index.h("mvx-unlock-provider-button", { provider: provider, onClick: this.handleLogin.bind(this, provider) })))))), index.h("div", { key: '3b6c0710971fcb2f1097856c47fea79ca12cfabd', class: "unlock-panel-group" }, index.h("div", { key: '0c525495d3c0d28f748dbab20296e875e0545cd2', class: "unlock-panel-group-label" }, hasDetectedProviders ? 'Other Options' : 'Options'), index.h("div", { key: '59e0bea07f87474cd6e27466027f64a559ab8941', class: "unlock-panel-group-providers" }, otherProviders.map(provider => (index.h("mvx-unlock-provider-button", { provider: provider, onClick: this.handleLogin.bind(this, provider) }))), index.h("slot", { key: '918e5b7d0eac9f046490f0b90009a20088f8e0d4' })))), index.h("div", { key: 'a079cb7b185f29925c6c7fb137b18420075f2b0f', class: "unlock-panel-footer" }, index.h("img", { key: '6d13d2e4552854cad6e2aa663efcf829489317a8', src: processImgSrc.processImgSrc('unlock-panel-wallet.png'), class: "unlock-panel-footer-image" }), index.h("div", { key: 'f9ab9750281554b0b90a9a9613473b8291ae1d3e', class: "unlock-panel-footer-wrapper" }, index.h("div", { key: '40526398c5518d6056b19216b015ba9ff94366cd', class: "unlock-panel-footer-title" }, "Don't have a wallet?"), index.h("div", { key: '2d6378cd9a4b1947c6de5e66c45823e336db66c5', class: "unlock-panel-footer-subtitle" }, "Take full control of ", index.h("br", { key: 'e9ee879c3a31b1cea9ebc8978e93b54f47545c0d' }), " your assets."), index.h("mvx-arrow-up-right-icon", { key: '2b3096d5976cd9a41fe49b2c1250721734601b34', class: index$1.classNames('unlock-panel-footer-icon', {
                [unlockPanelClasses.footerIcon]: true,
            }) })))))));
    }
    get hostElement() { return index.getElement(this); }
    static get watchers() { return {
        "isOpen": ["handleIsOpenChange"],
        "allowedProviders": ["handleAllowedProvidersChange"]
    }; }
};
UnlockPanel.style = unlockPanelCss;

exports.mvx_unlock_panel = UnlockPanel;
//# sourceMappingURL=mvx-unlock-panel.entry.cjs.js.map

//# sourceMappingURL=mvx-unlock-panel.cjs.entry.js.map