'use strict';

var index = require('./index-4qAdwwwT.js');
var provider_types = require('./provider.types-CdcQKmZA.js');

const getProviderButtonIcon = (providerType) => {
    switch (providerType) {
        case provider_types.ProviderTypeEnum.extension:
            return index.h("mvx-extension-provider-icon", null);
        case provider_types.ProviderTypeEnum.metamask:
            return index.h("mvx-metamask-provider-icon", null);
        case provider_types.ProviderTypeEnum.passkey:
            return index.h("mvx-passkey-provider-icon", null);
        case provider_types.ProviderTypeEnum.walletConnect:
            return index.h("mvx-multiversx-logo-icon", null);
        case provider_types.ProviderTypeEnum.ledger:
            return index.h("mvx-ledger-provider-icon", null);
        case provider_types.ProviderTypeEnum.crossWindow:
            return index.h("mvx-wallet-provider-icon", null);
        default:
            return index.h("mvx-multiversx-logo-icon", null);
    }
};

const UnlockProviderButton = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
    }
    render() {
        if (!this.provider) {
            return null;
        }
        const icon = !this.provider.iconUrl ? getProviderButtonIcon(this.provider.type) : null;
        return index.h("mvx-unlock-button", { iconUrl: this.provider.iconUrl, label: this.provider.name, type: this.provider.type, class: this.class, icon: icon });
    }
};

UnlockProviderButton.style = '/*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer theme{:root,:host{--mvx-font-sans:ui-sans-serif,system-ui,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";--mvx-font-mono:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,"Liberation Mono","Courier New",monospace;--mvx-default-font-family:var(--mvx-font-sans);--mvx-default-mono-font-family:var(--mvx-font-mono)}}@layer base{*,:after,:before,::backdrop{box-sizing:border-box;border:0 solid;margin:0;padding:0}::file-selector-button{box-sizing:border-box;border:0 solid;margin:0;padding:0}html,:host{-webkit-text-size-adjust:100%;tab-size:4;line-height:1.5;font-family:var(--mvx-default-font-family,ui-sans-serif,system-ui,sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji");font-feature-settings:var(--mvx-default-font-feature-settings,normal);font-variation-settings:var(--mvx-default-font-variation-settings,normal);-webkit-tap-highlight-color:transparent}hr{height:0;color:inherit;border-top-width:1px}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;-webkit-text-decoration:inherit;-webkit-text-decoration:inherit;-webkit-text-decoration:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,samp,pre{font-family:var(--mvx-default-mono-font-family,ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,"Liberation Mono","Courier New",monospace);font-feature-settings:var(--mvx-default-mono-font-feature-settings,normal);font-variation-settings:var(--mvx-default-mono-font-variation-settings,normal);font-size:1em}small{font-size:80%}sub,sup{vertical-align:baseline;font-size:75%;line-height:0;position:relative}sub{bottom:-.25em}sup{top:-.5em}table{text-indent:0;border-color:inherit;border-collapse:collapse}:-moz-focusring{outline:auto}progress{vertical-align:baseline}summary{display:list-item}ol,ul,menu{list-style:none}img,svg,video,canvas,audio,iframe,embed,object{vertical-align:middle;display:block}img,video{max-width:100%;height:auto}button,input,select,optgroup,textarea{font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;color:inherit;opacity:1;background-color:#0000;border-radius:0}::file-selector-button{font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;color:inherit;opacity:1;background-color:#0000;border-radius:0}:where(select:is([multiple],[size])) optgroup{font-weight:bolder}:where(select:is([multiple],[size])) optgroup option{padding-inline-start:20px}::file-selector-button{margin-inline-end:4px}::placeholder{opacity:1}@supports (not ((-webkit-appearance:-apple-pay-button))) or (contain-intrinsic-size:1px){::placeholder{color:currentColor}@supports (color:color-mix(in lab, red, red)){::placeholder{color:color-mix(in oklab,currentColor 50%,transparent)}}}textarea{resize:vertical}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-date-and-time-value{min-height:1lh;text-align:inherit}::-webkit-datetime-edit{display:inline-flex}::-webkit-datetime-edit-fields-wrapper{padding:0}::-webkit-datetime-edit{padding-block:0}::-webkit-datetime-edit-year-field{padding-block:0}::-webkit-datetime-edit-month-field{padding-block:0}::-webkit-datetime-edit-day-field{padding-block:0}::-webkit-datetime-edit-hour-field{padding-block:0}::-webkit-datetime-edit-minute-field{padding-block:0}::-webkit-datetime-edit-second-field{padding-block:0}::-webkit-datetime-edit-millisecond-field{padding-block:0}::-webkit-datetime-edit-meridiem-field{padding-block:0}:-moz-ui-invalid{box-shadow:none}button,input:where([type=button],[type=reset],[type=submit]){appearance:button}::file-selector-button{appearance:button}::-webkit-inner-spin-button{height:auto}::-webkit-outer-spin-button{height:auto}[hidden]:where(:not([hidden=until-found])){display:none!important}}@layer components,utilities; ';

const unlockProviderIntroCss = "/*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer theme{:host,:root{--mvx-spacing:.25rem;--mvx-font-sans:ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\";--mvx-font-mono:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace;--mvx-default-font-family:var(--mvx-font-sans);--mvx-default-mono-font-family:var(--mvx-font-mono)}}@layer base{*,::backdrop,:after,:before{border:0 solid;box-sizing:border-box;margin:0;padding:0}::file-selector-button{appearance:button;background-color:#0000;border:0 solid;border-radius:0;box-sizing:border-box;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;margin:0;margin-inline-end:4px;opacity:1;padding:0}:host,html{-webkit-text-size-adjust:100%;font-family:var(--mvx-default-font-family,ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\");font-feature-settings:var(--mvx-default-font-feature-settings,normal);font-variation-settings:var(--mvx-default-font-variation-settings,normal);line-height:1.5;tab-size:4;-webkit-tap-highlight-color:transparent}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;-webkit-text-decoration:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:var(--mvx-default-mono-font-family,ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace);font-feature-settings:var(--mvx-default-mono-font-feature-settings,normal);font-size:1em;font-variation-settings:var(--mvx-default-mono-font-variation-settings,normal)}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}:-moz-focusring{outline:auto}progress{vertical-align:baseline}summary{display:list-item}menu,ol,ul{list-style:none}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}button,input,optgroup,select,textarea{background-color:#0000;border-radius:0;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;opacity:1}:where(select:is([multiple],[size])) optgroup{font-weight:bolder}:where(select:is([multiple],[size])) optgroup option{padding-inline-start:20px}::placeholder{opacity:1}@supports (not ((-webkit-appearance:-apple-pay-button))) or (contain-intrinsic-size:1px){::placeholder{color:currentColor}@supports (color:color-mix(in lab,red,red)){::placeholder{color:color-mix(in oklab,currentColor 50%,transparent)}}}textarea{resize:vertical}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-date-and-time-value{min-height:1lh;text-align:inherit}::-webkit-datetime-edit{display:inline-flex;padding-block:0}::-webkit-datetime-edit-fields-wrapper{padding:0}::-webkit-datetime-edit-month-field,::-webkit-datetime-edit-year-field{padding-block:0}::-webkit-datetime-edit-day-field,::-webkit-datetime-edit-hour-field{padding-block:0}::-webkit-datetime-edit-minute-field,::-webkit-datetime-edit-second-field{padding-block:0}::-webkit-datetime-edit-meridiem-field,::-webkit-datetime-edit-millisecond-field{padding-block:0}:-moz-ui-invalid{box-shadow:none}button,input:where([type=button],[type=reset],[type=submit]){appearance:button}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[hidden]:where(:not([hidden=until-found])){display:none!important}}@layer components;@layer utilities{.mvx\\:h-auto\\!{height:auto!important}.mvx\\:w-4\\!{width:calc(var(--mvx-spacing)*4)!important}} /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities;:host{display:flex;flex:1;flex-direction:column}:host .unlock-provider-intro{align-items:center;color:#fff;display:flex;flex:1;flex-direction:column;font-family:Satoshi,sans-serif;gap:16px;justify-content:center;padding:48px;text-align:center}:host .unlock-provider-intro .unlock-provider-intro-icon{align-items:flex-end;display:flex;height:150px;justify-content:flex-start;margin-bottom:24px;width:150px}:host .unlock-provider-intro .unlock-provider-intro-title{font-size:20px;font-weight:500;line-height:1}:host .unlock-provider-intro .unlock-provider-intro-text{color:#a09a93;font-size:16px;font-weight:500;line-height:1.25}";

const getProviderIntroText = (providerType) => {
    switch (providerType) {
        case provider_types.ProviderTypeEnum.extension:
            return 'Open the MultiversX Browser Extension to connect to your wallet.';
        case provider_types.ProviderTypeEnum.metamask:
            return 'Open the MetaMask Browser Extension to connect to your wallet.';
        case provider_types.ProviderTypeEnum.passkey:
            return 'Use your predefined passkey to connect to your wallet.';
        case provider_types.ProviderTypeEnum.crossWindow:
            return 'Follow the steps on MultiversX Web Wallet to connect to your wallet.';
    }
};
const UnlockProviderIntro = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.access = index.createEvent(this, "access", 7);
        this.provider = null;
    }
    render() {
        const providerType = this.provider ? this.provider.type : null;
        const isExtensionProvider = providerType === provider_types.ProviderTypeEnum.extension;
        const extensionProviderIconBaseSize = 150;
        const extensionProviderIconWidth = extensionProviderIconBaseSize + (15 / 100) * extensionProviderIconBaseSize;
        const extensionProviderIconHeight = extensionProviderIconBaseSize + (10 / 100) * extensionProviderIconBaseSize;
        const providerIntroIcon = getProviderButtonIcon(providerType);
        const providerIntroText = getProviderIntroText(providerType);
        if (!this.provider) {
            return null;
        }
        if (this.provider.type === provider_types.ProviderTypeEnum.ledger) {
            return index.h("mvx-ledger-intro", { onConnect: this.access.emit });
        }
        return (index.h("div", { class: "unlock-provider-intro" }, isExtensionProvider ? (index.h("div", { class: "unlock-provider-intro-icon" }, index.h("mvx-extension-provider-icon", { width: extensionProviderIconWidth, height: extensionProviderIconHeight }))) : (index.h("div", { class: "unlock-provider-intro-icon" }, providerIntroIcon)), index.h("div", { class: "unlock-provider-intro-title" }, "Requesting Connection"), providerIntroText && index.h("div", { class: "unlock-provider-intro-text" }, providerIntroText)));
    }
};
UnlockProviderIntro.style = unlockProviderIntroCss;

exports.mvx_unlock_provider_button = UnlockProviderButton;
exports.mvx_unlock_provider_intro = UnlockProviderIntro;
//# sourceMappingURL=mvx-unlock-provider-button.mvx-unlock-provider-intro.entry.cjs.js.map

//# sourceMappingURL=mvx-unlock-provider-button_2.cjs.entry.js.map