import { h } from "@stencil/core";
import classNames from "classnames";
import { DataTestIdsEnum } from "../../../../../constants/dataTestIds.enum";
export class TransactionHash {
    render() {
        if (!this.transaction) {
            return null;
        }
        return (h("div", { class: classNames(this.class, 'transaction-hash') }, h("mvx-transaction-icon", { iconInfo: this.transaction.iconInfo }), h("mvx-explorer-link", { dataTestId: DataTestIdsEnum.transactionLink, link: this.transaction.link, text: this.transaction.txHash })));
    }
    static get is() { return "mvx-transaction-hash"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-hash.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-hash.css"]
        };
    }
    static get properties() {
        return {
            "class": {
                "type": "string",
                "attribute": "class",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "transaction": {
                "type": "unknown",
                "attribute": "transaction",
                "mutable": false,
                "complexType": {
                    "original": "ITransactionsTableRow",
                    "resolved": "ITransactionsTableRow",
                    "references": {
                        "ITransactionsTableRow": {
                            "location": "import",
                            "path": "../../transactions-table.type",
                            "id": "src/components/controlled/transactions-table/transactions-table.type.ts::ITransactionsTableRow"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
}
//# sourceMappingURL=transaction-hash.js.map
