import { h } from "@stencil/core";
import { DataTestIdsEnum } from "../../../../constants/dataTestIds.enum";
export class LedgerConfirm {
    render() {
        const ledgerConfirmationItems = [
            { label: this.confirmScreenData.confirmAddressText, value: this.confirmScreenData.selectedAddress, explorerLink: this.confirmScreenData.addressExplorerLink },
            { label: this.confirmScreenData.authText, value: this.confirmScreenData.data, highlighted: true },
        ];
        return (h("div", { key: '4653e68a39a099af191f3f3a591333e2f01730f9', "data-testid": DataTestIdsEnum.ledgerConfirmAddress, class: "ledger-confirm" }, h("div", { key: '206f70cc9e4280780e6216e8f158deaff9f138fc', class: "ledger-confirm-items" }, ledgerConfirmationItems.map(ledgerConfirmationItem => (h("div", { class: "ledger-confirm-item" }, h("div", { class: "ledger-confirm-item-label" }, ledgerConfirmationItem.label), h("div", { class: "ledger-confirm-item-value" }, h("div", { class: { 'ledger-confirm-item-value-text': true, 'highlighted': Boolean(ledgerConfirmationItem.highlighted) } }, ledgerConfirmationItem.value), h("div", { class: "ledger-confirm-item-value-actions" }, h("mvx-copy-button", { text: ledgerConfirmationItem.value, class: "ledger-confirm-item-value-copy", iconClass: "ledger-confirm-item-value-copy-icon" }), ledgerConfirmationItem.explorerLink && (h("mvx-explorer-link", { link: ledgerConfirmationItem.explorerLink, class: "ledger-confirm-item-value-explorer", iconClass: "ledger-confirm-item-value-explorer-icon" })))))))), h("div", { key: 'a6a3f3330d515dcf0b46d68a986d953d29324f09', class: "ledger-confirm-action" }, "Select ", h("strong", { key: 'bc2d8411078d3803afbcad584ad572c1b6117267' }, "Approve"), " on your device to confirm."), h("div", { key: 'd68107b43112e0e42aa2baef3380ba5ef9a5df07', class: "ledger-confirm-footer" }, h("mvx-triangular-warning-icon", { key: '856b29013a3fec8fde53108e4d411970679a66f3', class: "ledger-confirm-footer-icon" }), h("div", { key: '1208115c232962e720e0f7a12c40e5b0984a7884', class: "ledger-confirm-footer-description" }, "If the address does not mach close this page and contact support."), h("a", { key: 'a830bad595c9db7788d15bc792ed3ebcb9008c1a', target: "_blank", rel: "noreferrer", href: "https://help.multiversx.com/en/", class: "ledger-confirm-footer-button" }, "Contact Support"))));
    }
    static get is() { return "mvx-ledger-confirm"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["ledger-confirm.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["ledger-confirm.css"]
        };
    }
    static get properties() {
        return {
            "confirmScreenData": {
                "type": "unknown",
                "attribute": "confirm-screen-data",
                "mutable": false,
                "complexType": {
                    "original": "IConfirmScreenData",
                    "resolved": "IConfirmScreenData",
                    "references": {
                        "IConfirmScreenData": {
                            "location": "import",
                            "path": "../ledger.types",
                            "id": "src/components/functional/ledger/ledger.types.ts::IConfirmScreenData"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
}
//# sourceMappingURL=ledger-confirm.js.map
