import { h } from "@stencil/core";
import { NftEnumType } from "../../../../../types/tokens.types";
import state from "../../signTransactionsPanelStore";
const LABELS = {
    [NftEnumType.SemiFungibleESDT]: 'SFT',
    [NftEnumType.NonFungibleESDT]: 'NFT',
};
export class FungibleComponent {
    render() {
        const { sftTransaction, nftTransaction, commonData } = state;
        const { tokenType } = commonData;
        const data = tokenType === NftEnumType.SemiFungibleESDT ? sftTransaction : nftTransaction;
        const { amount = '', identifier = '', imageURL = '' } = data || {};
        const label = LABELS[tokenType];
        return (h("mvx-sign-transaction-component", { key: '3c9fcebcdb03e2c70a917ffb4ebb769f2c1b06e2', header: h("div", { class: "fungible-container" }, h("span", null, `You are sending ${amount} ${label}`), h("div", { class: "fungible-inner-container" }, h("div", { class: "fungible-img-container" }, h("img", { src: imageURL, alt: identifier, class: "fungible-img" }), h("div", null, h("span", null, identifier))), h("span", { class: "fungible-sft" }, label))) }));
    }
    static get is() { return "mvx-fungible-component"; }
    static get originalStyleUrls() {
        return {
            "$": ["fungible-component.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["fungible-component.css"]
        };
    }
}
//# sourceMappingURL=fungible-component.js.map
