import { h } from "@stencil/core";
import state from "../../../../signTransactionsPanelStore";
export class TransactionFeeComponent {
    constructor() {
        this.showGasOptions = false;
        this.toggleGasOptions = () => {
            this.showGasOptions = !this.showGasOptions;
        };
        this.handlePpuChange = (value) => () => {
            state.onSetPpu(value);
        };
    }
    render() {
        const { egldLabel, feeInFiatLimit, feeLimit, gasLimit, gasPrice, ppu, isEditable, ppuOptions } = state.commonData;
        return (h("div", { key: '9eb1b11f9e89c86ab08614fe49c905830db04894', class: "transaction-fee-container" }, h("div", { key: 'aa56e552a529be72c6bc7195aea3d6682051b091', class: "fee-header" }, h("p", { key: '6747ae8b6471a4355487cf8beed8d7590d5c5a22' }, "Transaction fee"), isEditable && (h("button", { key: 'dc3f030e64d9d827bf09c8d27a9db132375b006a', onClick: this.toggleGasOptions, class: "edit-button" }, "Edit"))), feeLimit && (h("p", { key: '7f380f55285be45fd4b23341e79d54dc1114229a' }, h("span", { key: 'b4e133fcac284922cd2b1b8e9587ae2fa2498240' }, feeLimit), "\u00A0", h("span", { key: '4c3e2e40ea400b518f86f617f9e5ba8c3eedc880' }, egldLabel))), h("p", { key: '26c22d634a2f60ce9d78621a189d482fa7b6f368' }, "\u2248", feeInFiatLimit), this.showGasOptions && (h("div", { key: 'cb76adab7691899302205409d3da7d26746bbb16', class: "gas-options" }, h("div", { key: 'c24f51255f30b2a1498ba31de67c7b14219b08e7', class: "top-section" }, h("div", { key: '869c95dba4970e56058f14a8b7a0e163c8f8745b', class: "gas-price-section" }, h("div", { key: 'fa2709f34680bf06dec0bbe4f7811a4d8b210393', class: "label" }, "Gas Price"), h("div", { key: '81dd78603f2ba9336b5517a52fd04704bd237305', class: "value" }, gasPrice)), ppuOptions && ppuOptions.length > 0 && (h("div", { key: 'f7078ea059214412673b03d82471e6f15e9965d6', class: "radio-group" }, ppuOptions.map(option => (h("div", { class: "radio-option" }, h("input", { disabled: !isEditable, type: "radio", id: `ppu${option.value}`, name: "ppu", value: option.value, checked: ppu === option.value, onChange: this.handlePpuChange(option.value) }), h("label", { htmlFor: `ppu${option.value}` }, option.label))))))), h("div", { key: '96ddf23454c86226450d3c66eb4a4fe75c6a5906', class: "gas-limit-section" }, h("div", { key: '526c24af160fe7bd3bc355e7f54b8f0cf6aba4ee', class: "label" }, "Gas Limit"), h("div", { key: '66ef1ecf31b9b147cde6cb9b664f4428578e9ba7', class: "value" }, gasLimit))))));
    }
    static get is() { return "mvx-transaction-fee-component"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-fee-component.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-fee-component.css"]
        };
    }
    static get states() {
        return {
            "showGasOptions": {}
        };
    }
}
//# sourceMappingURL=transaction-fee-component.js.map
