import { faTimes } from "@fortawesome/free-solid-svg-icons";
import { h } from "@stencil/core";
import classNames from "classnames";
import { DataTestIdsEnum } from "../../../../../../../constants/dataTestIds.enum";
import { getIconHtmlFromIconDefinition } from "../../../../../../../utils/icons/getIconHtmlFromIconDefinition";
import { getIconHtmlFromIconName } from "../../../../../../../utils/icons/getIconHtmlFromIconName";
export class SimpleToast {
    handleDeleteToast() {
        this.deleteToast.emit();
    }
    renderIcon() {
        const { icon, iconClassName } = this.toast;
        let iconHtml = null;
        if (typeof icon === 'string') {
            iconHtml = getIconHtmlFromIconName(icon);
        }
        if (icon instanceof HTMLElement) {
            iconHtml = icon.outerHTML;
        }
        if (!iconHtml) {
            return null;
        }
        return (h("div", { class: {
                'content-icon': true,
                [iconClassName]: Boolean(iconClassName),
            }, innerHTML: iconHtml }));
    }
    render() {
        const { title, message, subtitle } = this.toast;
        return (h("div", { key: 'e60de62e85563f48571e0505e6e0525683258c68', class: "content", "data-testid": DataTestIdsEnum.transactionToastContent, id: `toast-${this.toast.toastId}` }, h("div", { key: '86105073f635c40f07053cbe99d975632c712e59', class: "content-left" }, this.renderIcon(), h("div", { key: '715e1f115d96906d8ed0faee3f410ea6f372f15e', class: "content-right" }, h("div", { key: '5c05adccaf3cec4f709a7f7da6b05d4bdf68faa3', class: "content-heading" }, title && (h("h5", { key: '164b5b383688e4785c20631296f98fbdee6e43f7', class: "content-heading-title", "data-testid": DataTestIdsEnum.transactionToastTitle }, title)), h("button", { key: '0a39108d4afe6d461f5139f125a8dbdbca70c252', onClick: this.handleDeleteToast.bind(this), type: "button", class: "icon-close", innerHTML: getIconHtmlFromIconDefinition(faTimes) })), subtitle && h("div", { key: 'c0a09d35d3bdea3f4f79e04125cf2a6b41930fea', class: "subtitle" }, subtitle), message && h("div", { key: 'ec02d39de37f76f58c2f34396d14e7ad345ba435', class: classNames('content-message', { 'no-margin': !title && !subtitle }) }, message)))));
    }
    static get is() { return "mvx-simple-toast"; }
    static get originalStyleUrls() {
        return {
            "$": ["simple-toast.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["simple-toast.css"]
        };
    }
    static get properties() {
        return {
            "toast": {
                "type": "unknown",
                "attribute": "toast",
                "mutable": false,
                "complexType": {
                    "original": "ISimpleToast",
                    "resolved": "ISimpleToast",
                    "references": {
                        "ISimpleToast": {
                            "location": "import",
                            "path": "components/functional/toasts-list/components/transaction-toast/transaction-toast.type",
                            "id": "src/components/functional/toasts-list/components/transaction-toast/transaction-toast.type.ts::ISimpleToast"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
    static get events() {
        return [{
                "method": "deleteToast",
                "name": "deleteToast",
                "bubbles": false,
                "cancelable": true,
                "composed": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "void",
                    "resolved": "void",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=simple-toast.js.map
