import { faTimes } from "@fortawesome/free-solid-svg-icons";
import { h } from "@stencil/core";
import { DataTestIdsEnum } from "../../../../../../../constants/dataTestIds.enum";
export class TransactionToastContent {
    handleDeleteToast() {
        this.deleteToast.emit();
    }
    renderPrimaryIcon() {
        var _a, _b;
        const transaction = (_a = this.transactions) === null || _a === void 0 ? void 0 : _a[0];
        if (!(transaction === null || transaction === void 0 ? void 0 : transaction.asset)) {
            return h("mvx-default-transaction-icon-small", null);
        }
        if (transaction.asset.imageUrl) {
            return h("img", { src: transaction.asset.imageUrl, alt: "Transaction icon", class: "transaction-toast-icon", loading: "lazy" });
        }
        if (transaction.asset.icon) {
            return h("mvx-fa-icon", { icon: transaction.asset.icon, class: "transaction-toast-icon" });
        }
        if (transaction.asset.text) {
            return h("span", { class: "transaction-toast-icon" }, transaction.asset.text);
        }
        if (this.toastDataState.icon) {
            return h("fa-icon", { icon: this.toastDataState.icon, class: `transaction-toast-icon ${(_b = this.toastDataState.iconClassName) !== null && _b !== void 0 ? _b : ''}` });
        }
        return h("mvx-default-transaction-icon-small", null);
    }
    renderDetails() {
        var _a;
        const transaction = (_a = this.transactions) === null || _a === void 0 ? void 0 : _a[0];
        if (!transaction) {
            return null;
        }
        return (h("div", { class: "transaction-toast-details-info" }, transaction.directionLabel && h("span", { class: "transaction-toast-details-info-text" }, transaction.directionLabel), h("div", { class: "transaction-toast-details-info-icon" }, transaction.interactorAsset ? h("img", { src: transaction.interactorAsset, alt: "Service icon", loading: "lazy" }) : h("mvx-default-transaction-icon-small", null)), h("mvx-trim-text", { text: transaction.interactor, class: "transaction-toast-details-info-text" })));
    }
    render() {
        var _a;
        const { title, hasCloseButton } = this.toastDataState;
        const transaction = this.transactions[0];
        const showAmount = this.transactions.length === 1 && (transaction === null || transaction === void 0 ? void 0 : transaction.amount);
        const showExplorerLinkButton = (transaction === null || transaction === void 0 ? void 0 : transaction.link) && this.transactions.length === 1;
        return (h("div", { key: 'e4302896cbbf45545bc3470847bbc9b9665238bd', class: {
                'transaction-toast-content-wrapper': true,
                'full-width': this.fullWidth,
            }, "data-testid": DataTestIdsEnum.transactionToastContent }, h("div", { key: 'f85d9ec5a33efa474df2bf0037b687ceb57aed6e', class: "transaction-toast-content" }, h("div", { key: 'b9e4a24b3b07777e1a11d8f8fe127defd2c25906', class: "transaction-toast-icon" }, this.renderPrimaryIcon()), h("div", { key: '378232325fc8809a8e3d94e96eb5a8949b999cec', class: "transaction-toast-details" }, h("div", { key: '72439f9fdcdcadd5e8e9fe42204de2f8e038d8fa', class: "transaction-toast-details-header" }, h("h4", { key: '1b3cba88bd50fd014259237fee4f2c8cebc461af', class: {
                'transaction-toast-title': true,
                'transaction-toast-title-short': Boolean(showAmount),
            } }, title || ((_a = transaction === null || transaction === void 0 ? void 0 : transaction.action) === null || _a === void 0 ? void 0 : _a.name)), showAmount && h("div", { key: '931265fcd8a3f75000f6caf0f72b40ebc04da814', class: "transaction-toast-amount" }, transaction.amount)), this.renderDetails()), hasCloseButton && h("fa-icon", { key: '608cfaeb83da39383e651edac5f58a6b8d1fcb27', icon: faTimes, class: "transaction-toast-close-icon", onClick: this.handleDeleteToast.bind(this) }), !hasCloseButton && showExplorerLinkButton && h("mvx-explorer-link", { key: '3eb679e4c15a687712efa051a097bbd674470adb', link: transaction.link, class: "transaction-toast-action-button" })), !showExplorerLinkButton && h("mvx-transaction-toast-details", { key: '6658e2d8c1514d9e67092310275e57ceb7be93de', transactions: this.transactions, processedTransactionsStatus: this.processedTransactionsStatus })));
    }
    static get is() { return "mvx-transaction-toast-content"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-toast-content.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-toast-content.css"]
        };
    }
    static get properties() {
        return {
            "transactions": {
                "type": "unknown",
                "attribute": "transactions",
                "mutable": false,
                "complexType": {
                    "original": "ITransactionListItem[]",
                    "resolved": "ITransactionListItem[]",
                    "references": {
                        "ITransactionListItem": {
                            "location": "import",
                            "path": "components/visual/transaction-list-item/transaction-list-item.types",
                            "id": "src/components/visual/transaction-list-item/transaction-list-item.types.ts::ITransactionListItem"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            },
            "toastDataState": {
                "type": "unknown",
                "attribute": "toast-data-state",
                "mutable": false,
                "complexType": {
                    "original": "IToastDataState",
                    "resolved": "IToastDataState",
                    "references": {
                        "IToastDataState": {
                            "location": "import",
                            "path": "../../transaction-toast.type",
                            "id": "src/components/functional/toasts-list/components/transaction-toast/transaction-toast.type.ts::IToastDataState"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            },
            "processedTransactionsStatus": {
                "type": "string",
                "attribute": "processed-transactions-status",
                "mutable": false,
                "complexType": {
                    "original": "string | JSX.Element",
                    "resolved": "Element | string",
                    "references": {
                        "JSX": {
                            "location": "import",
                            "path": "@stencil/core",
                            "id": "node_modules::LocalJSX"
                        }
                    }
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "fullWidth": {
                "type": "boolean",
                "attribute": "full-width",
                "mutable": false,
                "complexType": {
                    "original": "boolean",
                    "resolved": "boolean",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            }
        };
    }
    static get events() {
        return [{
                "method": "deleteToast",
                "name": "deleteToast",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "void",
                    "resolved": "void",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=transaction-toast-content.js.map
