import { faCheck, faHourglass, faTimes } from "@fortawesome/free-solid-svg-icons";
import { h } from "@stencil/core";
import { DataTestIdsEnum } from "../../../../../../../../constants/dataTestIds.enum";
import { getIconHtmlFromIconDefinition } from "../../../../../../../../utils/icons/getIconHtmlFromIconDefinition";
const iconData = {
    pending: faHourglass,
    success: faCheck,
    fail: faTimes,
    invalid: faTimes,
};
export class TransactionDetailsBody {
    constructor() {
        this.transactionClass = 'transaction-details-list-item';
    }
    render() {
        const statusIcon = this.status ? iconData[this.status] : null;
        const iconHtml = statusIcon ? getIconHtmlFromIconDefinition(statusIcon) : null;
        return (h("div", { class: this.transactionClass, key: this.hash, "data-testid": DataTestIdsEnum.transactionDetailsToastBody }, iconHtml && (h("div", { key: 'a2a3ef10e9042b728b789ce4c979de1c93ea72e4', innerHTML: iconHtml, class: {
                'transaction-details-list-item-icon': true,
                'transaction-details-list-item-icon-success': this.status === 'success',
                'transaction-details-list-item-icon-pending': this.status === 'pending',
                'transaction-details-list-item-icon-fail': ['fail', 'invalid'].includes(this.status),
            } })), h("div", { key: '50effeb91a8174b12e9f2a82c7a4e9c013f23f1b', class: "transaction-details-list-item-hash-index" }, this.index), h("div", { key: '20f0c905a7b47708a880bc86c2720b1841131483', class: "transaction-details-list-item-hash-value" }, h("mvx-trim-text", { key: 'c207338f655ecbe93d000d5030b409142b13020c', text: this.hash })), h("mvx-explorer-link", { key: '7d7d75da39ceccea3a5844d03cb69efe003eec2e', iconClass: "transaction-details-list-item-explorer-link-icon", link: this.link }), h("mvx-copy-button", { key: 'c314937c830799ad707aa71c614b49f652d7229f', iconClass: "transaction-details-list-item-copy-button-icon", text: this.hash })));
    }
    static get is() { return "mvx-transaction-toast-details-body"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-toast-details-body.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-toast-details-body.css"]
        };
    }
    static get properties() {
        return {
            "transactionClass": {
                "type": "string",
                "attribute": "transaction-class",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'transaction-details-list-item'"
            },
            "status": {
                "type": "string",
                "attribute": "status",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "hash": {
                "type": "string",
                "attribute": "hash",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "link": {
                "type": "string",
                "attribute": "link",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            },
            "index": {
                "type": "string",
                "attribute": "index",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=transaction-toast-details-body.js.map
