import { h } from "@stencil/core";
import { DataTestIdsEnum } from "../../../../constants/dataTestIds.enum";
import { processImgSrc } from "../../../../utils/processImgSrc";
const XPORTAL_APP_GALLERY_LINK = 'https://appgallery.huawei.com/app/C104325151';
const XPORTAL_APP_STORE_LINK = 'https://apps.apple.com/us/app/xportal/id1519405832';
const XPORTAL_PLAY_STORE_LINK = 'https://play.google.com/store/apps/details?id=com.elrond.maiar.wallet&hl=ro&pli=1';
const xPortalDownloadOptions = [
    { image: 'wallet-connect-flow-app-store.svg', link: XPORTAL_APP_STORE_LINK },
    { image: 'wallet-connect-flow-play-store.png', link: XPORTAL_PLAY_STORE_LINK },
    { image: 'wallet-connect-flow-app-gallery.png', link: XPORTAL_APP_GALLERY_LINK },
];
export class WalletConnectFlow {
    constructor() {
        this.qrCodeSvg = '';
        this.flipToggle = false;
    }
    handleFlipToggle(event) {
        event.preventDefault();
        event.stopPropagation();
        this.flipToggle = !this.flipToggle;
    }
    render() {
        return (h("div", { key: '23804e3ed805abbd6d45fc393c4ef17d477eeda9', class: { 'wallet-connect-flow': true, 'flipped': Boolean(this.flipToggle) } }, h("div", { key: 'aaaa11b6d2586c00bde8aea3c71732b1b3c312b4', class: "wallet-connect-flow-scan" }, h("div", { key: 'e212b342cdc41c63cc2b0da3891ac3de73bf8c6e', class: "wallet-connect-flow-scan-qr" }, h("mvx-xportal-qr-code-preloader", { key: 'b1e5e7da4803dea21b00921aed76a8614cd6fb4d', "data-testid": DataTestIdsEnum.walletConnectLoading }), h("div", { key: '15c77bb78d95ba680e2abe9cfc4e8357c2e42504', class: { 'wallet-connect-flow-scan-qr-embed': true, 'visible': Boolean(this.qrCodeSvg) }, "data-testid": DataTestIdsEnum.walletConnectQrCode, innerHTML: this.qrCodeSvg })), h("div", { key: '683f42e36f75a8015b00e1061e79fa645f72fb86', class: "wallet-connect-flow-scan-description", "data-testid": DataTestIdsEnum.walletConnetModalTitle }, "Scan this QR code with your app"), h("div", { key: 'a883764e889570c23c6d62e9e8192c8f593c8d52', class: "wallet-connect-flow-scan-download" }, h("div", { key: '1f275f0293b926e78f4fd26ac51fc06731b4c691', class: "wallet-connect-flow-scan-download-wrapper" }, h("div", { key: 'aa95deb35195e144594a1e11d8d24dec48f94f31', class: "wallet-connect-flow-scan-download-title" }, "Get the xPortal ", h("br", { key: '4206bd2b4164e3e835208e8ad7b8daf159f267a2' }), " mobile app"), h("div", { key: 'db2d1841cbd757e1a817a4bfa535d96c4e9f5558', class: "wallet-connect-flow-scan-download-button", onClick: this.handleFlipToggle.bind(this) }, "Download now")), h("img", { key: '67aa36f34cb55d3b24e02ab6ac691e82e4a6241c', src: processImgSrc('wallet-connect-flow-download.png'), class: "wallet-connect-flow-scan-download-image" }))), h("div", { key: 'f0b8579cf5994a4277a03671372b7943f1340ad8', class: "wallet-connect-flow-download" }, h("div", { key: 'f9be65b18336e861b719f038054901d5452f5cf5', class: "wallet-connect-flow-download-wrapper" }, h("mvx-xportal-download-qr-icon", { key: '629cc2ce38a37a6a4595c378c061064a9badd8b9', class: "wallet-connect-flow-download-qr" }), h("div", { key: 'ca82b5e5678d8caa9c64ee9383973be4d551b0e8', class: "wallet-connect-flow-download-description" }, "Scan this QR code on your phone ", h("br", { key: '3fec88292f7ea3175f6ab0f3cfba08ea5038aa03' }), " to get the xPortal app"), h("div", { key: 'c791cb54a51992f58fefd5b306efdb8648a3b982', class: "wallet-connect-flow-download-return", onClick: this.handleFlipToggle.bind(this) }, "Connect xPortal")), h("div", { key: '6780be974b2a8c0089456ce02ca15cf3c5d2ee9b', class: "wallet-connect-flow-download-options" }, xPortalDownloadOptions.map(xPortalDownloadOption => (h("a", { class: "wallet-connect-flow-download-option", href: xPortalDownloadOption.link, target: "_blank", rel: "noreferrer" }, h("img", { src: processImgSrc(xPortalDownloadOption.image), class: "wallet-connect-flow-download-option-image" }))))))));
    }
    static get is() { return "mvx-wallet-connect-flow"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["wallet-connect-flow.scss"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["wallet-connect-flow.css"]
        };
    }
    static get properties() {
        return {
            "qrCodeSvg": {
                "type": "string",
                "attribute": "qr-code-svg",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "''"
            }
        };
    }
    static get states() {
        return {
            "flipToggle": {}
        };
    }
}
//# sourceMappingURL=wallet-connect-flow.js.map
