import { h } from "@stencil/core";
import { getProviderButtonIcon } from "../../helpers";
export class UnlockProviderButton {
    render() {
        if (!this.provider) {
            return null;
        }
        const icon = !this.provider.iconUrl ? getProviderButtonIcon(this.provider.type) : null;
        return h("mvx-unlock-button", { iconUrl: this.provider.iconUrl, label: this.provider.name, type: this.provider.type, class: this.class, icon: icon });
    }
    static get is() { return "mvx-unlock-provider-button"; }
    static get encapsulation() { return "shadow"; }
    static get properties() {
        return {
            "provider": {
                "type": "unknown",
                "attribute": "provider",
                "mutable": false,
                "complexType": {
                    "original": "IProviderBase<ProviderTypeEnum>",
                    "resolved": "IProviderBase<ProviderTypeEnum>",
                    "references": {
                        "IProviderBase": {
                            "location": "import",
                            "path": "types/provider.types",
                            "id": "src/types/provider.types.ts::IProviderBase"
                        },
                        "ProviderTypeEnum": {
                            "location": "import",
                            "path": "types/provider.types",
                            "id": "src/types/provider.types.ts::ProviderTypeEnum"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            },
            "class": {
                "type": "string",
                "attribute": "class",
                "mutable": false,
                "complexType": {
                    "original": "string",
                    "resolved": "string",
                    "references": {}
                },
                "required": false,
                "optional": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false
            }
        };
    }
}
//# sourceMappingURL=unlock-provider-button.js.map
