import { r as registerInstance, h } from './index-75P0zkYH.js';
import { s as state } from './signTransactionsPanelStore-DHmibcLV.js';

// types here need to be synced with the types in sdk-dapp-core tokens.types.ts
var EsdtEnumType;
(function (EsdtEnumType) {
    EsdtEnumType["FungibleESDT"] = "FungibleESDT";
})(EsdtEnumType || (EsdtEnumType = {}));
var NftEnumType;
(function (NftEnumType) {
    NftEnumType["NonFungibleESDT"] = "NonFungibleESDT";
    NftEnumType["SemiFungibleESDT"] = "SemiFungibleESDT";
    NftEnumType["MetaESDT"] = "MetaESDT";
})(NftEnumType || (NftEnumType = {}));

const fungibleComponentCss = "/*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer theme{:host,:root{--mvx-font-sans:ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\";--mvx-font-mono:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace;--mvx-default-font-family:var(--mvx-font-sans);--mvx-default-mono-font-family:var(--mvx-font-mono)}}@layer base{*,::backdrop,:after,:before{border:0 solid;box-sizing:border-box;margin:0;padding:0}::file-selector-button{appearance:button;background-color:#0000;border:0 solid;border-radius:0;box-sizing:border-box;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;margin:0;margin-inline-end:4px;opacity:1;padding:0}:host,html{-webkit-text-size-adjust:100%;font-family:var(--mvx-default-font-family,ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\");font-feature-settings:var(--mvx-default-font-feature-settings,normal);font-variation-settings:var(--mvx-default-font-variation-settings,normal);line-height:1.5;tab-size:4;-webkit-tap-highlight-color:transparent}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;-webkit-text-decoration:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:var(--mvx-default-mono-font-family,ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace);font-feature-settings:var(--mvx-default-mono-font-feature-settings,normal);font-size:1em;font-variation-settings:var(--mvx-default-mono-font-variation-settings,normal)}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}:-moz-focusring{outline:auto}progress{vertical-align:baseline}summary{display:list-item}menu,ol,ul{list-style:none}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}button,input,optgroup,select,textarea{background-color:#0000;border-radius:0;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;opacity:1}:where(select:is([multiple],[size])) optgroup{font-weight:bolder}:where(select:is([multiple],[size])) optgroup option{padding-inline-start:20px}::placeholder{opacity:1}@supports (not ((-webkit-appearance:-apple-pay-button))) or (contain-intrinsic-size:1px){::placeholder{color:currentColor}@supports (color:color-mix(in lab,red,red)){::placeholder{color:color-mix(in oklab,currentColor 50%,transparent)}}}textarea{resize:vertical}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-date-and-time-value{min-height:1lh;text-align:inherit}::-webkit-datetime-edit{display:inline-flex;padding-block:0}::-webkit-datetime-edit-fields-wrapper{padding:0}::-webkit-datetime-edit-month-field,::-webkit-datetime-edit-year-field{padding-block:0}::-webkit-datetime-edit-day-field,::-webkit-datetime-edit-hour-field{padding-block:0}::-webkit-datetime-edit-minute-field,::-webkit-datetime-edit-second-field{padding-block:0}::-webkit-datetime-edit-meridiem-field,::-webkit-datetime-edit-millisecond-field{padding-block:0}:-moz-ui-invalid{box-shadow:none}button,input:where([type=button],[type=reset],[type=submit]){appearance:button}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[hidden]:where(:not([hidden=until-found])){display:none!important}}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities;.fungible-container{display:flex;flex-direction:column}.fungible-inner-container{align-items:center;background-color:#f9f6ee;border-radius:8px;display:flex;justify-content:space-between;padding-right:8px}.fungible-img-container{align-items:flex-end;display:flex;gap:1rem}.fungible-img{height:64px;width:64px}.fungible-sft{background-color:#171717;border-radius:4px;color:#fed7aa;padding:4px 8px;text-transform:uppercase}";

const LABELS = {
    [NftEnumType.SemiFungibleESDT]: 'SFT',
    [NftEnumType.NonFungibleESDT]: 'NFT',
};
const FungibleComponent = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        const { sftTransaction, nftTransaction, commonData } = state;
        const { tokenType } = commonData;
        const data = tokenType === NftEnumType.SemiFungibleESDT ? sftTransaction : nftTransaction;
        const { amount = '', identifier = '', imageURL = '' } = data || {};
        const label = LABELS[tokenType];
        return (h("mvx-sign-transaction-component", { key: '3c9fcebcdb03e2c70a917ffb4ebb769f2c1b06e2', header: h("div", { class: "fungible-container" }, h("span", null, `You are sending ${amount} ${label}`), h("div", { class: "fungible-inner-container" }, h("div", { class: "fungible-img-container" }, h("img", { src: imageURL, alt: identifier, class: "fungible-img" }), h("div", null, h("span", null, identifier))), h("span", { class: "fungible-sft" }, label))) }));
    }
};
FungibleComponent.style = fungibleComponentCss;

export { FungibleComponent as mvx_fungible_component };
//# sourceMappingURL=mvx-fungible-component.entry.js.map

//# sourceMappingURL=mvx-fungible-component.entry.js.map