import type { IProviderBase } from "../../../types/provider.types";
import { ProviderTypeEnum } from "../../../types/provider.types";
import type { IEventBus } from "../../../utils/EventBus";
export declare class UnlockPanel {
    private eventBus;
    hostElement: HTMLElement;
    isOpen: boolean;
    allowedProviders: IProviderBase[];
    isLoggingIn: boolean;
    isIntroScreenVisible: boolean;
    selectedMethod: IProviderBase | null;
    hasSlotContent: boolean;
    panelState: {
        isOpen: boolean;
        allowedProviders: IProviderBase<ProviderTypeEnum>[];
    };
    getEventBus(): Promise<IEventBus>;
    handleIsOpenChange(newValue: boolean): void;
    handleAllowedProvidersChange(newValue: IProviderBase[]): void;
    private isExtensionInstalled;
    private isMetaMaskInstalled;
    private anchor;
    private observer;
    disconnectedCallback(): Promise<unknown>;
    componentDidLoad(): void;
    private unlockPanelUpdate;
    handleLogin(provider: IProviderBase): void;
    handleResetLoginState(event?: MouseEvent): void;
    handleClose(event: MouseEvent): void;
    handleAccess(): void;
    render(): any;
}
