import { p as proxyCustomElement, H, h } from './p-BpHwayS4.js';
import { D as DataTestIdsEnum } from './p-BPc6-DQj.js';
import { s as state } from './p-Dqx13Err.js';
import { d as defineCustomElement$1 } from './p-CuSXDp2-.js';

const formatAddress = (value, maxLength = 25) => {
    if (!value) {
        return value;
    }
    const ellipsis = '...';
    if (value.length <= maxLength) {
        return value;
    }
    const lengthDiff = maxLength - ellipsis.length;
    const start = value.slice(0, Math.floor(lengthDiff / 2));
    const end = value.slice(-Math.ceil(lengthDiff / 2));
    return start + ellipsis + end;
};

const signTransactionComponentCss = "/*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer theme{:host,:root{--mvx-font-sans:ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\";--mvx-font-mono:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace;--mvx-default-font-family:var(--mvx-font-sans);--mvx-default-mono-font-family:var(--mvx-font-mono)}}@layer base{*,::backdrop,:after,:before{border:0 solid;box-sizing:border-box;margin:0;padding:0}::file-selector-button{appearance:button;background-color:#0000;border:0 solid;border-radius:0;box-sizing:border-box;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;margin:0;margin-inline-end:4px;opacity:1;padding:0}:host,html{-webkit-text-size-adjust:100%;font-family:var(--mvx-default-font-family,ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\");font-feature-settings:var(--mvx-default-font-feature-settings,normal);font-variation-settings:var(--mvx-default-font-variation-settings,normal);line-height:1.5;tab-size:4;-webkit-tap-highlight-color:transparent}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;-webkit-text-decoration:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:var(--mvx-default-mono-font-family,ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace);font-feature-settings:var(--mvx-default-mono-font-feature-settings,normal);font-size:1em;font-variation-settings:var(--mvx-default-mono-font-variation-settings,normal)}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}:-moz-focusring{outline:auto}progress{vertical-align:baseline}summary{display:list-item}menu,ol,ul{list-style:none}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}button,input,optgroup,select,textarea{background-color:#0000;border-radius:0;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;opacity:1}:where(select:is([multiple],[size])) optgroup{font-weight:bolder}:where(select:is([multiple],[size])) optgroup option{padding-inline-start:20px}::placeholder{opacity:1}@supports (not ((-webkit-appearance:-apple-pay-button))) or (contain-intrinsic-size:1px){::placeholder{color:currentColor}@supports (color:color-mix(in lab,red,red)){::placeholder{color:color-mix(in oklab,currentColor 50%,transparent)}}}textarea{resize:vertical}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-date-and-time-value{min-height:1lh;text-align:inherit}::-webkit-datetime-edit{display:inline-flex;padding-block:0}::-webkit-datetime-edit-fields-wrapper{padding:0}::-webkit-datetime-edit-month-field,::-webkit-datetime-edit-year-field{padding-block:0}::-webkit-datetime-edit-day-field,::-webkit-datetime-edit-hour-field{padding-block:0}::-webkit-datetime-edit-minute-field,::-webkit-datetime-edit-second-field{padding-block:0}::-webkit-datetime-edit-meridiem-field,::-webkit-datetime-edit-millisecond-field{padding-block:0}:-moz-ui-invalid{box-shadow:none}button,input:where([type=button],[type=reset],[type=submit]){appearance:button}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[hidden]:where(:not([hidden=until-found])){display:none!important}}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities;.transaction-container{display:flex;flex-direction:column;gap:1rem;padding:0 1rem}.data-container,.receiver-container{align-items:flex-start;display:flex;flex-direction:column;gap:4px;line-height:1}.data-content-container{font-family:inherit;font-size:inherit;height:100px;min-height:100px;white-space:pre-wrap;width:100%;word-wrap:break-word;background-color:#f9f9f9;border:1px solid #ccc;border-radius:4px;color:#333;display:block;overflow-y:auto;padding:8px}.data-content{opacity:.6}.fee-container{align-items:flex-start;gap:4px;line-height:1}.fee-container,.sign-button-container{display:flex;flex-direction:column}.sign-back-button{background-color:#0000;border:none;border-radius:4px;color:#1a56db;cursor:pointer;display:inline-block;font-size:16px;padding:8px 12px;text-decoration:none}.sign-back-button:hover{color:#0033a0;text-decoration:underline}.sign-back-button:active{color:#001f70}.sign-back-button:disabled{color:#a1a1a1;cursor:not-allowed;opacity:.6;text-decoration:none}.sign-button{background-color:#1a56db;border:none;border-radius:8px;color:#fff;cursor:pointer;display:block;margin:0 auto;padding:12px;width:200px}.sign-button:disabled{background-color:#a1a1a1;box-shadow:none;color:#e0e0e0;cursor:not-allowed;opacity:.6;transform:none}.highlight{opacity:1}";

var __rest = (undefined && undefined.__rest) || function (s, e) {
    var t = {};
    for (var p in s)
        if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
            t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
const SignTransaction = /*@__PURE__*/ proxyCustomElement(class SignTransaction extends H {
    constructor() {
        super();
        this.__registerHost();
        this.isConfirming = false;
        this.previousIndex = -1;
    }
    componentWillRender() {
        const { currentIndex } = state.commonData;
        if (this.previousIndex !== -1 && currentIndex !== this.previousIndex) {
            this.isConfirming = false;
        }
        this.previousIndex = currentIndex;
    }
    onConfirm() {
        this.isConfirming = true;
        state.onConfirm();
    }
    getSignButtonProps() {
        const { needsSigning, providerName } = state.commonData;
        const confirmText = providerName ? `Confirm on ${providerName}` : 'Confirm';
        if (needsSigning) {
            return {
                'signText': this.isConfirming ? confirmText : 'Sign',
                'disabled': state.isWaitingForSignature || this.isConfirming,
                'data-testid': DataTestIdsEnum.signTransactionBtn,
                'onClick': this.onConfirm.bind(this),
            };
        }
        return {
            'signText': 'Next',
            'disabled': false,
            'data-testid': DataTestIdsEnum.signNextTransactionBtn,
            'onClick': this.onConfirm.bind(this),
        };
    }
    getBackButtonProps() {
        const { transactionsCount, currentIndex } = state.commonData;
        const isMultipleTransactions = transactionsCount > 1;
        if (!isMultipleTransactions) {
            return {};
        }
        if (currentIndex === 0) {
            return {
                'data-testid': DataTestIdsEnum.signCancelBtn,
                'backButtonText': 'Cancel',
                'onClick': state.onCancel,
            };
        }
        return {
            'data-testid': DataTestIdsEnum.signBackBtn,
            'backButtonText': 'Back',
            'onClick': state.onBack,
            'disabled': state.isWaitingForSignature || this.isConfirming,
        };
    }
    getHighlightedData() {
        const { data, highlight } = state.commonData;
        if (!highlight || !data) {
            return data;
        }
        const parts = data.split(highlight);
        return (h("span", null, parts.map((part, index) => (h("span", null, h("span", { class: "data-content" }, part), index < parts.length - 1 && h("span", { class: "highlight" }, highlight))))));
    }
    render() {
        const { receiver, scCall } = state.commonData;
        const _a = this.getSignButtonProps(), { signText } = _a, signButtonProps = __rest(_a, ["signText"]);
        const _b = this.getBackButtonProps(), { backButtonText } = _b, backButtonProps = __rest(_b, ["backButtonText"]);
        const highlightedData = this.getHighlightedData();
        return (h("div", { key: 'b295899c9841959af470860f282e0c9d8b940a83', class: "transaction-container" }, this.header, h("div", { key: '17d8c2a8b77333e8828f8adf80bfa3a8cf0469aa', class: "receiver-container" }, h("p", { key: '56f152aaa23ab0cad8146dd106703d11ccdbf4cb' }, "To"), h("p", { key: 'a769273f04813a456b9b73fe5dc9013a886525ff' }, formatAddress(receiver, 40))), h("mvx-transaction-fee-component", { key: '87bdfb523441a0f33168c05fc0e72397a384343a' }), scCall && (h("div", { key: '346a10a0ae8ebe3f0059f67985d05b28b0b3de89', class: "data-container" }, h("p", { key: '3a45869e8f0fb91dad1c766cb22d89324c36c75a' }, "Smart Contract Call"), h("div", { key: '2931dab9e7f30c372b23f16ab957cdbbd47af620', class: "data-content-container" }, scCall))), h("div", { key: 'a786a7184ddc0bfd23253c2812355f9d2e9447df', class: "data-container" }, h("p", { key: '691807712e168ef5e5732d532f7855a8d5d12f86' }, "Data"), h("div", { key: '52d9b2c488c5bbeaaa42cf5b99a27d79db012e87', class: "data-content-container" }, highlightedData)), h("div", { key: 'b773d89e5b4ffcabc6325b6f51f8769cb8b21eef', class: "sign-button-container" }, h("button", Object.assign({ key: '7a9e3477a52451da568b196908f17eff31f0b9ed', class: "sign-button" }, signButtonProps), signText), backButtonText && (h("button", Object.assign({ key: '39a05d31bdbc209e0f7aa78bf173225bf2722c11', class: "sign-back-button" }, backButtonProps), backButtonText)))));
    }
    static get style() { return signTransactionComponentCss; }
}, [0, "mvx-sign-transaction-component", {
        "header": [16],
        "isConfirming": [32]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-sign-transaction-component", "mvx-transaction-fee-component"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-sign-transaction-component":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, SignTransaction);
            }
            break;
        case "mvx-transaction-fee-component":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { SignTransaction as S, defineCustomElement as d };
//# sourceMappingURL=p-BYtHn57a.js.map

//# sourceMappingURL=p-BYtHn57a.js.map