import { p as proxyCustomElement, H, h } from './p-BpHwayS4.js';
import { c as classNames } from './p-DMLRPGid.js';
import { P as ProviderTypeEnum } from './p-DQiA5Puh.js';
import { d as defineCustomElement$1 } from './p-eARvdBer.js';

const getIsExtensionAvailable = () => {
    const safeWindow = typeof window !== 'undefined' ? window : {};
    // Check if either elrondWallet or multiversxWallet exists and has an extensionId
    return Boolean(safeWindow === null || safeWindow === void 0 ? void 0 : safeWindow.elrondWallet) || Boolean(safeWindow === null || safeWindow === void 0 ? void 0 : safeWindow.multiversxWallet);
};

// Helper to check if MetaMask is available
const getIsMetaMaskAvailable = () => {
    const safeWindow = typeof window !== 'undefined' ? window : {};
    // Check if MetaMask is available through the ethereum object and that isMetaMask is true
    return Boolean((safeWindow === null || safeWindow === void 0 ? void 0 : safeWindow.ethereum) && safeWindow.ethereum.isMetaMask);
};

const unlockButtonCss = "/*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer theme{:host,:root{--mvx-spacing:.25rem;--mvx-font-sans:ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\";--mvx-font-mono:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace;--mvx-color-teal-400:oklch(.777 .152 181.912);--mvx-default-font-family:var(--mvx-font-sans);--mvx-default-mono-font-family:var(--mvx-font-mono)}}@layer base{*,::backdrop,:after,:before{border:0 solid;box-sizing:border-box;margin:0;padding:0}::file-selector-button{appearance:button;background-color:#0000;border:0 solid;border-radius:0;box-sizing:border-box;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;margin:0;margin-inline-end:4px;opacity:1;padding:0}:host,html{-webkit-text-size-adjust:100%;font-family:var(--mvx-default-font-family,ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\");font-feature-settings:var(--mvx-default-font-feature-settings,normal);font-variation-settings:var(--mvx-default-font-variation-settings,normal);line-height:1.5;tab-size:4;-webkit-tap-highlight-color:transparent}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;-webkit-text-decoration:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:var(--mvx-default-mono-font-family,ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace);font-feature-settings:var(--mvx-default-mono-font-feature-settings,normal);font-size:1em;font-variation-settings:var(--mvx-default-mono-font-variation-settings,normal)}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}:-moz-focusring{outline:auto}progress{vertical-align:baseline}summary{display:list-item}menu,ol,ul{list-style:none}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}button,input,optgroup,select,textarea{background-color:#0000;border-radius:0;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;opacity:1}:where(select:is([multiple],[size])) optgroup{font-weight:bolder}:where(select:is([multiple],[size])) optgroup option{padding-inline-start:20px}::placeholder{opacity:1}@supports (not ((-webkit-appearance:-apple-pay-button))) or (contain-intrinsic-size:1px){::placeholder{color:currentColor}@supports (color:color-mix(in lab,red,red)){::placeholder{color:color-mix(in oklab,currentColor 50%,transparent)}}}textarea{resize:vertical}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-date-and-time-value{min-height:1lh;text-align:inherit}::-webkit-datetime-edit{display:inline-flex;padding-block:0}::-webkit-datetime-edit-fields-wrapper{padding:0}::-webkit-datetime-edit-month-field,::-webkit-datetime-edit-year-field{padding-block:0}::-webkit-datetime-edit-day-field,::-webkit-datetime-edit-hour-field{padding-block:0}::-webkit-datetime-edit-minute-field,::-webkit-datetime-edit-second-field{padding-block:0}::-webkit-datetime-edit-meridiem-field,::-webkit-datetime-edit-millisecond-field{padding-block:0}:-moz-ui-invalid{box-shadow:none}button,input:where([type=button],[type=reset],[type=submit]){appearance:button}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[hidden]:where(:not([hidden=until-found])){display:none!important}}@layer components;@layer utilities{.mvx\\:h-auto\\!{height:auto!important}.mvx\\:w-4\\!{width:calc(var(--mvx-spacing)*4)!important}.mvx\\:fill-teal-400\\!{fill:var(--mvx-color-teal-400)!important}} /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components;@layer utilities{} /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components;.unlock-button{align-items:center;background:#3535354d;cursor:pointer;display:flex;font-family:Satoshi,sans-serif;gap:16px;height:60px;padding:0 16px 0 12px;transition:all .2s}.unlock-button:hover{background:#353535}.unlock-button .unlock-button-icon{align-items:center;display:flex;height:40px;justify-content:center;order:-1;width:40px}.unlock-button .unlock-button-icon.clipped{align-items:flex-end;justify-content:flex-start}.unlock-button .unlock-button-label{color:#e8e8e8;font-size:16px;line-height:1}.unlock-button .unlock-button-status{align-items:center;background:#0b0b0bcc;border:1px solid #40404066;border-radius:20px;display:flex;font-size:12px;font-weight:500;gap:4px;line-height:1;margin-left:auto;padding:4px 8px}.unlock-button .unlock-button-status .unlock-button-status-text{color:#23f7dd}.unlock-button .unlock-button-status .unlock-button-status-icon{align-items:center;display:flex}.unlock-button .unlock-button-status .unlock-button-status-icon svg path{fill:#23f7dd}";

const unlockButtonClasses = {
    statusIcon: 'mvx:fill-teal-400!',
};
const UnlockButton = /*@__PURE__*/ proxyCustomElement(class UnlockButton extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
    }
    render() {
        const isExtensionProvider = this.type === ProviderTypeEnum.extension;
        const isMetaMaskProvider = this.type === ProviderTypeEnum.metamask;
        const isDetectableProvider = isExtensionProvider || isMetaMaskProvider;
        const isExtensionInstalled = isExtensionProvider && getIsExtensionAvailable();
        const isMetaMaskInstalled = isMetaMaskProvider && getIsMetaMaskAvailable();
        const shouldShowOpenLabel = isDetectableProvider && (isExtensionInstalled || isMetaMaskInstalled);
        return (h("div", { key: 'fe11c4a869ba98ae6dea52d9696c72b538d77d45', class: { 'unlock-button': true, [this.class]: Boolean(this.class) } }, h("div", { key: '0056662f87e76ac92c2348eb341b20289292c575', class: "unlock-button-label" }, this.label), h("div", { key: 'f5faa75e16ecf2ddf6c11e1c97bbdb2d11eaa5d3', class: {
                'unlock-button-icon': true,
                'clipped': isExtensionProvider,
            } }, this.icon ? this.icon : h("img", { src: this.iconUrl, alt: this.label })), isDetectableProvider && (h("div", { key: '17cda2bce1edc8c7937fbea5f8abb4ccb27faa08', class: "unlock-button-status" }, h("div", { key: '53d837d6375e75d28ba50ca9c7e9ef84cd4f8794', class: "unlock-button-status-text" }, shouldShowOpenLabel ? 'Open' : 'Install'), !shouldShowOpenLabel && (h("mvx-arrow-up-right-icon", { key: '1a4431cc6b5967831fb4d34a7ad0d81ded70ecb1', class: classNames('unlock-button-status-icon', {
                [unlockButtonClasses.statusIcon]: true,
            }) }))))));
    }
    static get style() { return unlockButtonCss; }
}, [1, "mvx-unlock-button", {
        "label": [1],
        "iconUrl": [1, "icon-url"],
        "icon": [16],
        "type": [8],
        "class": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-unlock-button", "mvx-arrow-up-right-icon"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-unlock-button":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, UnlockButton);
            }
            break;
        case "mvx-arrow-up-right-icon":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { UnlockButton as U, getIsMetaMaskAvailable as a, defineCustomElement as d, getIsExtensionAvailable as g };
//# sourceMappingURL=p-NUCEMmmV.js.map

//# sourceMappingURL=p-NUCEMmmV.js.map