import { p as proxyCustomElement, H, h } from './p-BpHwayS4.js';
import { c as classNames } from './p-DMLRPGid.js';
import { D as DataTestIdsEnum } from './p-BPc6-DQj.js';

const formatAmountCss = "/*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer theme{:host,:root{--mvx-font-sans:ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\";--mvx-font-mono:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace;--mvx-default-font-family:var(--mvx-font-sans);--mvx-default-mono-font-family:var(--mvx-font-mono)}}@layer base{*,::backdrop,:after,:before{border:0 solid;box-sizing:border-box;margin:0;padding:0}::file-selector-button{appearance:button;background-color:#0000;border:0 solid;border-radius:0;box-sizing:border-box;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;margin:0;margin-inline-end:4px;opacity:1;padding:0}:host,html{-webkit-text-size-adjust:100%;font-family:var(--mvx-default-font-family,ui-sans-serif,system-ui,sans-serif,\"Apple Color Emoji\",\"Segoe UI Emoji\",\"Segoe UI Symbol\",\"Noto Color Emoji\");font-feature-settings:var(--mvx-default-font-feature-settings,normal);font-variation-settings:var(--mvx-default-font-variation-settings,normal);line-height:1.5;tab-size:4;-webkit-tap-highlight-color:transparent}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){-webkit-text-decoration:underline dotted;text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;-webkit-text-decoration:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-family:var(--mvx-default-mono-font-family,ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,\"Liberation Mono\",\"Courier New\",monospace);font-feature-settings:var(--mvx-default-mono-font-feature-settings,normal);font-size:1em;font-variation-settings:var(--mvx-default-mono-font-variation-settings,normal)}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}:-moz-focusring{outline:auto}progress{vertical-align:baseline}summary{display:list-item}menu,ol,ul{list-style:none}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}button,input,optgroup,select,textarea{background-color:#0000;border-radius:0;color:inherit;font:inherit;font-feature-settings:inherit;font-variation-settings:inherit;letter-spacing:inherit;opacity:1}:where(select:is([multiple],[size])) optgroup{font-weight:bolder}:where(select:is([multiple],[size])) optgroup option{padding-inline-start:20px}::placeholder{opacity:1}@supports (not ((-webkit-appearance:-apple-pay-button))) or (contain-intrinsic-size:1px){::placeholder{color:currentColor}@supports (color:color-mix(in lab,red,red)){::placeholder{color:color-mix(in oklab,currentColor 50%,transparent)}}}textarea{resize:vertical}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-date-and-time-value{min-height:1lh;text-align:inherit}::-webkit-datetime-edit{display:inline-flex;padding-block:0}::-webkit-datetime-edit-fields-wrapper{padding:0}::-webkit-datetime-edit-month-field,::-webkit-datetime-edit-year-field{padding-block:0}::-webkit-datetime-edit-day-field,::-webkit-datetime-edit-hour-field{padding-block:0}::-webkit-datetime-edit-minute-field,::-webkit-datetime-edit-second-field{padding-block:0}::-webkit-datetime-edit-meridiem-field,::-webkit-datetime-edit-millisecond-field{padding-block:0}:-moz-ui-invalid{box-shadow:none}button,input:where([type=button],[type=reset],[type=submit]){appearance:button}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[hidden]:where(:not([hidden=until-found])){display:none!important}}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities; /*! tailwindcss v4.1.3 | MIT License | https://tailwindcss.com */@layer base{}@layer components,utilities;.format-amount{align-items:center}.decimals,.int-amount,.symbol{color:inherit}.symbol{margin-left:.25rem}";

const FormatAmount = /*@__PURE__*/ proxyCustomElement(class FormatAmount extends H {
    constructor() {
        super();
        this.__registerHost();
        this.showLabel = true;
    }
    render() {
        return this.isValid ? this.renderValid() : this.renderInvalid();
    }
    renderInvalid() {
        var _a;
        return (h("span", { "data-testid": (_a = this.dataTestId) !== null && _a !== void 0 ? _a : DataTestIdsEnum.formatAmountComponent, class: this.class }, h("span", { class: "int-amount", "data-testid": DataTestIdsEnum.formatAmountInt }, "...")));
    }
    renderValid() {
        return (h("span", { "data-testid": this.dataTestId, class: classNames(this.class, 'format-amount') }, h("span", { class: "int-amount", "data-testid": DataTestIdsEnum.formatAmountInt }, this.valueInteger), this.valueDecimal && (h("span", { class: "decimals", "data-testid": DataTestIdsEnum.formatAmountDecimals }, this.valueDecimal)), this.showLabel && this.label && (h("span", { class: {
                symbol: true,
                [this.labelClass]: Boolean(this.labelClass),
            }, "data-testid": DataTestIdsEnum.formatAmountSymbol }, this.label))));
    }
    static get style() { return formatAmountCss; }
}, [0, "mvx-format-amount", {
        "class": [1],
        "dataTestId": [1, "data-test-id"],
        "isValid": [4, "is-valid"],
        "label": [1],
        "labelClass": [1, "label-class"],
        "showLabel": [4, "show-label"],
        "valueDecimal": [1, "value-decimal"],
        "valueInteger": [1, "value-integer"]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["mvx-format-amount"];
    components.forEach(tagName => { switch (tagName) {
        case "mvx-format-amount":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, FormatAmount);
            }
            break;
    } });
}

export { FormatAmount as F, defineCustomElement as d };
//# sourceMappingURL=p-hg0g0bbZ.js.map

//# sourceMappingURL=p-hg0g0bbZ.js.map